Bug 120623 - (NET EPIC100)EPIC100 net driver broken, cannot network install
(NET EPIC100)EPIC100 net driver broken, cannot network install
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
ron.flory@adtran.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-12 08:30 EDT by Ron Flory
Modified: 2013-07-02 22:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ron Flory 2004-04-12 08:30:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4)
Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
 The EPIC100 network drivers recognizes the card but is
unable to communicate over 10 or 100 mbit, even though
the LINK LED is on and blinking, indicating net traffic.
 Network install cannot proceed.

 The system was running RH9.0 (SMP) just minutes earlier
and the network card worked fine.  I was performing a 
fresh install of FC2t2, NOT an upgrade.

 Changing to a network card using a different driver
allowed me to continue the install.

system:   Asus P2B-DS dual PIII, 550Mhz, SCSI/IDE based
net card: SMC 9432TX F002 (SMC 83C171A2QF P chipset)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use SMC9432TX card (EPIC100 driver)
2. attempt normal FTP install.
3.
    

Actual Results:  Unable to find stage2 install files, over and over.

Expected Results:  find stage2 install files and continue with
the instrall.

Additional info:

the 'dmesg' output seems to indicate the card was 
brought up twice.  The MII discovery log message is
shown in one place for MII #1, then a half page
later MII #1 and #3 are dicovered later.

 This sounds wrong, a singe NIC should only have one 
MII interface.
Comment 1 Francois Romieu 2004-05-18 19:00:01 EDT
I probably experience the same symptoms from time to time on plain 
Fedora Core 1 (2.4.22-1.2188.nptl on misc hardware). The module 
inserts as: 
[...] 
PCI: Found IRQ 12 for device 00:0b.0 
epic100(00:0b.0): MII transceiver #1 control 0000 status 45e1. 
epic100(00:0b.0): MII transceiver #3 control 3000 status 7809. 
epic100(00:0b.0): Autonegotiation advertising 0000 link partner 
0000. 
 
The expected output should look like this: 
 
PCI: Found IRQ 12 for device 00:0b.0 
epic100(00:0b.0): MII transceiver #3 control 3000 status 7809. 
epic100(00:0b.0): Autonegotiation advertising 01e1 link partner 
0001. 
 
When it happens, the adapter negotiates (?) something like a 10Mb/s 
link, is rather unresponsive to ethtool commands and differs from 
the usual output as shown below: 
 
@@ -3,13 +3,14 @@ Settings for eth0: 
        Supported link modes:   10baseT/Half 10baseT/Full  
                                100baseT/Half 100baseT/Full  
        Supports auto-negotiation: Yes 
-       Advertised link modes:  Not reported 
-       Advertised auto-negotiation: No 
-       Speed: 10Mb/s 
-       Duplex: Half 
+       Advertised link modes:  10baseT/Half 10baseT/Full  
+                               100baseT/Half 100baseT/Full  
+       Advertised auto-negotiation: Yes 
+       Speed: 100Mb/s 
+       Duplex: Full 
        Port: MII 
-       PHYAD: 1 
+       PHYAD: 3 
        Transceiver: internal 
-       Auto-negotiation: off 
+       Auto-negotiation: on 
        Current message level: 0x00000001 (1) 
-       Link detected: no 
+       Link detected: yes 
 
An extra epic100 module removal/insertion apparently fixes the issue 
(which can survive a reboot). 
 
Comment 2 Dave Jones 2005-04-16 00:39:25 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.